For the complete documentation index, see llms.txt. This page is also available as Markdown.

Analytics

This api is only applicable to projects bound to ACRCloud Music

Get analytics data for the last 7 days

GET https://api-v2.acrcloud.com/api/bm-cs-projects/:project_id/analytics/results

Path Parameters

Name
Type
Description

project_id*

Number

The project id

Query Parameters

Name
Type
Description

stats_type*

String

Type of data, including date, track, artists, label, stream.

If result_type is custom, then only include date, track, stream.

result_type*

String

Type of result, including music, custom

Headers

Name
Type
Description

Authorization*

String

Bearer token

Accept*

String

application/json

{
    "data": {
        "id": "aaaaaa285bccccccc9210ffc4cdddddd",
        "project_id": 12345,
        "stats_type": "date",
        "result_type": "music",
        "start_timestamp_utc": "2022-07-27 00:00:00",
        "end_timestamp_utc": "2022-08-02 23:59:59",
        "results": [
            {
                "date": "2022-07-27",
                "play_time": 130057,
                "plays": 1130,
                "rank": 1
            },
            {
                "date": "2022-07-28",
                "play_time": 90462,
                "plays": 917,
                "rank": 2
            },
            {
                "date": "2022-07-29",
                "play_time": 138791,
                "plays": 1178,
                "rank": 3
            },
            {
                "date": "2022-07-30",
                "play_time": 159087,
                "plays": 1126,
                "rank": 4
            },
            {
                "date": "2022-07-31",
                "play_time": 161067,
                "plays": 1209,
                "rank": 5
            },
            {
                "date": "2022-08-01",
                "play_time": 133762,
                "plays": 1187,
                "rank": 6
            },
            {
                "date": "2022-08-02",
                "play_time": 135043,
                "plays": 1195,
                "rank": 7
            }
        ]
    }
}

Last updated